Read one organization evidence export
curl --request GET \
--url https://api.firedrill.run/v1/organization/evidence-exports/{evidenceExportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/organization/evidence-exports/{evidenceExportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/organization/evidence-exports/{evidenceExportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"evidenceExportId": "<string>",
"organizationId": "<string>",
"scope": {
"kind": "organization"
},
"operationId": "<string>",
"state": "pending",
"requestedBy": "<string>",
"fromAtMs": 0,
"throughAtMs": 0,
"selectionDigest": "<string>",
"bundleCount": 5000,
"completedBundleCount": 5000,
"sourceBytes": "<string>",
"archiveBytes": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"localReportCount": 5000,
"completedLocalReportCount": 5000,
"manifestDigest": "<string>",
"manifestBytes": "<string>",
"failureCode": "<string>",
"completedAtMs": 0,
"deletion": {
"state": "pending",
"version": 0,
"operationId": "<string>",
"requestedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read one organization evidence export
Read one organization evidence export
Authorizations
Opaque control credential
Path Parameters
Pattern:
^evexp_[0-9a-z]{12,32}$Response
Evidence export
Available options:
1 Pattern:
^evexp_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^op_[0-9a-z]{12,32}$Available options:
pending, generating, available, failed Required string length:
1 - 255Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^sha256:[0-9a-f]{64}$Required range:
0 <= x <= 10000Required range:
0 <= x <= 10000Pattern:
^(0|[1-9][0-9]{0,37})$Pattern:
^(0|[1-9][0-9]{0,37})$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 < x <= 10000Required range:
0 <= x <= 10000Pattern:
^sha256:[0-9a-f]{64}$Pattern:
^(0|[1-9][0-9]{0,37})$Pattern:
^control\.[A-Z][A-Z0-9_]{2,79}$Required range:
-9007199254740991 <= x <= 9007199254740991- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes